hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rajappa Iyer <...@mayin.org>
Subject Re: [jira] Resolved: (HIVE-1512) Need to get hive_hbase-handler to work with hbase versions 0.20.4 0.20.5 and cloudera CDH3 version
Date Mon, 23 Aug 2010 22:09:21 GMT
Perhaps I am missing something, but I cannot get this to work:

/Users/riyer/src/ext/hive-trunk/build/dist/bin/hive --auxpath
/Users/riyer/src/ext/hive-trunk/build/hbase-handler/hive_hbase-handler.jar,/Users/riyer/.jars/hbase-0.89.20100621+17.jar,/Users/riyer/src/ext/hive-trunk/hbase-handler/lib/zookeeper-3.2.2.jar
-hiveconf hbase.zookeeper.quorum=10.2.128.92,10.2.130.82,10.2.131.57
Hive history file=/tmp/riyer/hive_job_log_riyer_201008231505_440471748.txt
hive> CREATE TABLE hbase_table_1(key int, value string)
    > STORED BY 'org.apache.hadoop.hive.hbase.HBaseStorageHandler'
    > WITH SERDEPROPERTIES ("hbase.columns.mapping" = ":key,cf1:val")
    > TBLPROPERTIES ("hbase.table.name" = "xyz");
FAILED: Error in metadata:
MetaException(message:org.apache.hadoop.hbase.MasterNotRunningException:
10.2.128.92:60000
        at
org.apache.hadoop.hbase.client.HConnectionManager$TableServers.getMaster(HConnectionManager.java:376)
        at
org.apache.hadoop.hbase.client.HBaseAdmin.<init>(HBaseAdmin.java:72)
        at
org.apache.hadoop.hive.hbase.HBaseStorageHandler.getHBaseAdmin(HBaseStorageHandler.java:62)
        at
org.apache.hadoop.hive.hbase.HBaseStorageHandler.preCreateTable(HBaseStorageHandler.java:141)
        at
org.apache.hadoop.hive.metastore.HiveMetaStoreClient.createTable(HiveMetaStoreClient.java:285)
        at
org.apache.hadoop.hive.ql.metadata.Hive.createTable(Hive.java:326)
        at
org.apache.hadoop.hive.ql.exec.DDLTask.createTable(DDLTask.java:2173)
        at org.apache.hadoop.hive.ql.exec.DDLTask.execute(DDLTask.java:148)
        at org.apache.hadoop.hive.ql.exec.Task.executeTask(Task.java:108)
        at
org.apache.hadoop.hive.ql.exec.TaskRunner.runSequential(TaskRunner.java:55)
        at org.apache.hadoop.hive.ql.Driver.launchTask(Driver.java:610)
        at org.apache.hadoop.hive.ql.Driver.execute(Driver.java:479)
        at org.apache.hadoop.hive.ql.Driver.run(Driver.java:357)
        at
org.apache.hadoop.hive.cli.CliDriver.processCmd(CliDriver.java:140)
        at
org.apache.hadoop.hive.cli.CliDriver.processLine(CliDriver.java:199)
        at org.apache.hadoop.hive.cli.CliDriver.main(CliDriver.java:351)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.apache.hadoop.util.RunJar.main(RunJar.java:156)
)
FAILED: Execution Error, return code 1 from
org.apache.hadoop.hive.ql.exec.DDLTask
hive>

I get the same results with zookeeper-3.3.1+7.jar from CDH3


On Mon, Aug 23, 2010 at 10:12 AM, John Sichi (JIRA) <jira@apache.org> wrote:

>
>     [
> https://issues.apache.org/jira/browse/HIVE-1512?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel]
>
> John Sichi resolved HIVE-1512.
> ------------------------------
>
>    Hadoop Flags: [Reviewed]
>      Resolution: Fixed
>
> Committed.  Thanks Basab!
>
>
> > Need to get hive_hbase-handler to work with hbase versions 0.20.4  0.20.5
> and cloudera CDH3 version
> >
> ---------------------------------------------------------------------------------------------------
> >
> >                 Key: HIVE-1512
> >                 URL: https://issues.apache.org/jira/browse/HIVE-1512
> >             Project: Hadoop Hive
> >          Issue Type: Improvement
> >          Components: HBase Handler
> >    Affects Versions: 0.7.0
> >            Reporter: Jimmy Hu
> >            Assignee: Basab Maulik
> >             Fix For: 0.7.0
> >
> >         Attachments: HIVE-1512.2.patch, HIVE-1512.3.patch,
> HIVE-1512.patch
> >
> >   Original Estimate: 48h
> >  Remaining Estimate: 48h
> >
> > the current trunk  hive_hbase-handler only works with hbase 0.20.3, we
> need to get it to work with hbase versions 0.20.4  0.20.5 and cloudera CDH3
> version
>
> --
> This message is automatically generated by JIRA.
> -
> You can reply to this email to add a comment to the issue online.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message